StatsHub Docs
Endpoint referenceData visualizer by ids

/data-visualizer-by-ids

Same payload as the date-ranged view, for a specific set of fixtures.

GET
/api/v2/data-visualizer-by-ids

Same payload as the date-ranged view, for a specific set of fixtures. Unlike that view it does not filter on should_show — an operator looking up a specific fixture wants to see it whether or not the competition is carried.

Query Parameters

eventIds?string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/v2/data-visualizer-by-ids"
{  "$schema": "https://example.com/schemas/DataVisualizerByIDsOKBody.json",  "data": [    {      "awayScore": 0,      "awayTeam": "string",      "awayTeamId": 0,      "corruptedPlayerStatsCount": 0,      "hasCorruptedPlayerStats": true,      "hasCorruptedTeamStats": true,      "hasPlayerStats": true,      "hasStats": true,      "homeScore": 0,      "homeTeam": "string",      "homeTeamId": 0,      "id": 0,      "isUnsupportedTournament": true,      "league": "string",      "matchDate": "string",      "matchTime": "string",      "playerStatsCount": 0,      "slug": "string",      "statsCount": 0,      "status": "string"    }  ]}